@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root{
    --primary-color: #22254b;
    --secondary-color: #373b69;
}

body{
    background-color: var(--primary-color);
}

header{
    padding: 1rem;
    display: flex;
    justify-content: flex-end;
    background-color: var(--secondary-color);
}

.search{
    background-color: transparent;
    border: 1px solid var(--primary-color);
    padding: .5rem 1rem;
    border-radius: 50px;
    font-size:1rem;
    color: white;
    outline: none;
    font-family: inherit;
}

.search:focus{
    background-color: var(--primary-color);
}

.search::placeholder{
    color: #7378c5;
}

main{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    margin-top: 1rem;
}

.movie{
    width: 300px;
    border-radius: 3px;
    box-shadow: 0.2px 4px 5px rgba(0,0,0,0.1);
    background-color: var(--secondary-color);
    position: relative;
    overflow: hidden;
}

.movie img{
    width: 100%;
}

.movie-info{
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1rem 1rem;
    letter-spacing: .5px;
}

.movie-info h3{
    margin-top: 0 ;
}

.movie-info span{
    background-color: var(--primary-color);
    padding: .25rem .5rem;
    border-radius: 3px;
    font-weight: bold;
}

.movie-info span.green{
    color: lightgreen;
}

.movie-info span.orange{
    color: orange;
}

.movie-info span.red{
    color: red;
}

.overview{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    padding: 1rem;
    max-height: 100%;
    transform: translateY(101%);
    transition: transform 300ms ease-in-out;
}

.movie:hover .overview{
    transform: translateY(0);
}

#btn-pt{
    background-color: lightgreen;
    border: none;
    border-radius: 3px;
    padding: 3px;
    font-weight: 700;
    color: blue;
    cursor: pointer;
}


#btn-en{
    background-color:  red;
    border: none;
    border-radius: 3px;
    padding: 3px 13px;
    font-weight: 700;
    color:white;
    cursor: pointer;
}
